
CoCoALib - Feature #1016

ReducedGBasis for RingWeyl (and other non-commutative rings)

02 Mar 2017 11:16 - John Abbott

Status: Closed Start date: 02 Mar 2017

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Improving Estimated time: 1.01 hour

Target version: CoCoALib-0.99550 spring 2017 Spent time: 1.20 hour

Description

Implement ReducedGBasis for RingWeyl and other potential future non-commutative rings.

Related issues:

Related to CoCoALib - Feature #961: New function: ReducedGBasis Closed 03 Nov 2016

History

#1 - 29 Mar 2017 18:22 - Anna Maria Bigatti

- Related to Feature #961: New function: ReducedGBasis added

#2 - 27 Apr 2017 15:01 - Anna Maria Bigatti

- Description updated

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99550 spring 2017

- % Done changed from 0 to 90

- Estimated time set to 1.01 h

I think this is done automatically.

I did not write an example, but I think the problem was about a bug in the interreduction, not just for non-commutative rings.  (See 

https://cocoa.dima.unige.it/redmine/issues/961#note-11)

/**/ NewWeylAlgebra(QQ,"x,y");

RingWithID(5, "QQ[x,y,dx,dy]")

/**/ use It;

/**/ GBasis(ideal(x,dx));

[1]

#3 - 28 Apr 2017 16:05 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Checked: interreduction does not depend on commutativity.

Cleaned up. Closing
